Package com.xebialabs.xlrelease.domain.distributed.events

# Class DistributedConfigurationCopiedEvent$

java.lang.Object
scala.runtime.AbstractFunction3<String,String,String,DistributedConfigurationCopiedEvent>
com.xebialabs.xlrelease.domain.distributed.events.DistributedConfigurationCopiedEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<String,String,String,DistributedConfigurationCopiedEvent>`

public class DistributedConfigurationCopiedEvent$ extends scala.runtime.AbstractFunction3<String,String,String,DistributedConfigurationCopiedEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DistributedConfigurationCopiedEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistributedConfigurationCopiedEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DistributedConfigurationCopiedEvent`
  `apply(String configurationType, String configurationId, String newConfigurationId)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<String,String,String>>`
  `unapply(DistributedConfigurationCopiedEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final DistributedConfigurationCopiedEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### DistributedConfigurationCopiedEvent$

    public DistributedConfigurationCopiedEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<String,String,String,DistributedConfigurationCopiedEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<String,String,String,DistributedConfigurationCopiedEvent>`

  - ### apply

    public DistributedConfigurationCopiedEvent apply(String configurationType, String configurationId, String newConfigurationId)
    Specified by:
      `apply` in interface `scala.Function3<String,String,String,DistributedConfigurationCopiedEvent>`

  - ### unapply

    public scala.Option<scala.Tuple3<String,String,String>> unapply(DistributedConfigurationCopiedEvent x$0)